### Hierarchy

- unknown
  - MarketPriceReply

## Index

### Constructors

- constructor

### Methods

- getPrice
- serializeBinary
- setPrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketPriceReply(): MarketPriceReply

- Inherited from jspb.Message.constructor

  #### Returns MarketPriceReply

## Methods

### getPrice

- getPrice(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2058

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2061

  #### Returns Uint8Array

### setPrice

- setPrice(value: number): MarketPriceReply

- - Defined in src/protobuf/grpc_pb.d.ts:2059

  #### Parameters

  - ##### value: number

  #### Returns MarketPriceReply

### toObject

- toObject(includeInstance?: boolean): MarketPriceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2062

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketPriceReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceReply

- - Defined in src/protobuf/grpc_pb.d.ts:2065

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceReply, reader: BinaryReader): MarketPriceReply

- - Defined in src/protobuf/grpc_pb.d.ts:2066

  #### Parameters

  - ##### message: MarketPriceReply

  - ##### reader: BinaryReader

  #### Returns MarketPriceReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2064

  #### Parameters

  - ##### message: MarketPriceReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketPriceReply ): MarketPriceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2063

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceReply

  #### Returns MarketPriceReply . AsObject

Generated using TypeDoc